Skocz do zawartości

Problem z ServerViewer 1.1


ThcS
 Udostępnij

Rekomendowane odpowiedzi

Link do forum: http://holyfrag.pl/serverviewer

Dokładny opis problemu: Wyskakują mi błędy gdy zaloguję się do PA

Warning: Cannot modify header information - headers already sent by (output started at /home/x3nohf12/domains/holyfrag.pl/public_html/serverviewer/admin/lgsl_config.php:1) in /home/x3nohf12/domains/holyfrag.pl/public_html/serverviewer/admin/admin.php on line 19


Warning: Cannot modify header information - headers already sent by (output started at /home/x3nohf12/domains/holyfrag.pl/public_html/serverviewer/admin/lgsl_config.php:1) in /home/x3nohf12/domains/holyfrag.pl/public_html/serverviewer/admin/admin.php on line 32


Parse error: syntax error, unexpected end of file in /home/x3nohf12/domains/holyfrag.pl/public_html/serverviewer/admin/geoip.inc.php on line 498

Oraz gdy wchodzę w holyfrag.pl/serverviewer/ ale to już sami zobaczycie

Odnośnik do komentarza
Udostępnij na innych stronach

Nydylier, Niestety ale dalej nie działa ten sam błąd pobrałem pliki z amxx i zadziałało teraz mam problem z

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/x3nohf12/domains/holyfrag.pl/public_html/serverviewer/admin/lgsl_class.php on line 130

Odnośnik do komentarza
Udostępnij na innych stronach

Najprawdopodobniej masz "zanową" wersję PHP. xD

Dodano: 11 Kwiecień 2015, 23:45

Ok, teraz mam czas opisać.

W nowszych wersjach PHP wycofano bibliotekę mysql (ze względu na jej słabe bezpieczeństwo itd.), a twój skrypt używa właśnie tej biblioteki.

Pod koniec błędu jest zalecenie, abyś używał biblioteki mysqli lub PDO.

Nie jest to żaden bank czy coś w tym stylu, więc wygodniej będzie użyć mysqli.

Odnośnik do komentarza
Udostępnij na innych stronach

Gość
Ten temat został zamknięty. Brak możliwości dodania odpowiedzi.
 Udostępnij

×